## springlobby 0.23

=== CMakeLists.txt ===
PROJECT(SpringLobby)

#set minimum cmake version
cmake_minimum_required(VERSION 2.6)
SET(CMAKE_COLOR_MAKEFILE ON)

# Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
# MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
IF(NOT MSVC)
	ADD_DEFINITIONS(-Wall -Wno-strict-aliasing)
ENDIF(NOT MSVC)
IF(WIN32)
	ADD_DEFINITIONS( -DWXUSINGDLL -D__WXMSW__ -D_WIN32_WINNT=0x0501)
ENDIF(WIN32)
IF(MSVC)
	ADD_DEFINITIONS(-D_RC_MSVC)
ENDIF(MSVC)





#----------------------------------------------------------------------------------------------------
# General Settings
#----------------------------------------------------------------------------------------------------
SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a")

#----------------------------------------------------------------------------------------------------
# Load needed Modules
#----------------------------------------------------------------------------------------------------
# PKG-Config
FIND_PACKAGE( PkgConfig )
INCLUDE(cmake/package_config.cmake)
INCLUDE(CPack)
IF(CMAKE_CROSSCOMPILING OR NOT WIN32)
	INCLUDE(cmake/FindSDL.cmake)
	INCLUDE(cmake/FindSDL_sound.cmake)
	INCLUDE(cmake/FindSDL_mixer.cmake)
ENDIF(CMAKE_CROSSCOMPILING OR NOT WIN32)


#----------------------------------------------------------------------------------------------------
# Options, that can be changed be the User in order to customise SpringLobby
#----------------------------------------------------------------------------------------------------
SET( OPTION_TORRENT_SYSTEM
	1 CACHE BOOL
	"Enables the builtin map/mod p2p downloader (requires libtorrent-rasterbar library)" )
SET( OPTION_SOUND
	1 CACHE BOOL
	"Enables sound notification functionality (requires SDL and SDL_sound libraries)" )
SET( OPTION_TRANSLATION_SUPPORT
	0 CACHE BOOL
	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
SET( BUILD_SHARED_LIBS
	1 CACHE BOOL
	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )


#----------------------------------------------------------------------------------------------------
# wxWidgets lib dependency check
#----------------------------------------------------------------------------------------------------

# Here you can define, what Libraries of wxWidgets you need for your Application. You can figure out what Libraries you need here:
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html
IF(NOT CMAKE_CROSSCOMPILING)
SET(wxWidgets_USE_LIBS base core net adv aui html xml )

# We need the Find package for wxWidgets to work
FIND_PACKAGE(wxWidgets REQUIRED base core net adv aui html xml)

# Did we find wxWidgets ? This condition will fail for as long as the internal Vars do not point to the proper wxWidgets Configuration.
IF(wxWidgets_FOUND)
	# Include wxWidgets macros
	INCLUDE(${wxWidgets_USE_FILE})
	IF(MSVC)
		INCLUDE_DIRECTORIES( ${wxWidgets_ROOT_DIR}/include/msvc )
	ENDIF(MSVC)
	IF(MINGW)
		SET(wxWidgets_RC_DIR ${wxWidgets_ROOT_DIR}/include)
	ENDIF(MINGW)
	INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
ELSE(wxWidgets_FOUND)
	# For Convenience. If we cannot continue, inform the User.
	MESSAGE( FATAL_ERROR "wxWidgets library is not found! Please install the package to continue")
ENDIF(wxWidgets_FOUND)
ELSE (NOT CMAKE_CROSSCOMPILING)
    INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
    link_directories( ${wxWidgets_LIB_DIR} )
ENDIF(NOT CMAKE_CROSSCOMPILING)

#----------------------------------------------------------------------------------------------------
# SDL libs dependency check
#----------------------------------------------------------------------------------------------------
IF ( OPTION_SOUND )

	IF (CMAKE_CROSSCOMPILING OR NOT WIN32)
		FIND_PACKAGE(SDL REQUIRED)
		FIND_PACKAGE(SDL_mixer REQUIRED)
		FIND_PACKAGE(SDL_sound REQUIRED)

		# Throw an error to the user if SDL is not found
		if ( NOT SDL_FOUND )
		message ( FATAL_ERROR "SDL library was not found! Please install the package or toggle OPTION_SOUND to OFF" )
		endif( NOT SDL_FOUND )

		# Throw an error to the user if SDL_mixer is not found
		if ( NOT SDLMIXER_FOUND )
		message ( FATAL_ERROR "SDL_mixer library was not found! Please install the package or toggle OPTION_SOUND to OFF" )
		endif(NOT SDLMIXER_FOUND)

		# Throw an error to the user if SDL_sound is not found
		if ( NOT SDL_SOUND_FOUND )
		message ( FATAL_ERROR "SDL_sound library was not found! Please install the package or toggle OPTION_SOUND to OFF" )
		endif( NOT SDL_SOUND_FOUND )

		# MESSAGE("sound inc dir: ${SDL_SOUND_INCLUDE_DIR}")
		# MESSAGE("mixer inc dir: ${SDLMIXER_INCLUDE_DIR}")
		# MESSAGE("sound libs: ${SDL_SOUND_LIBRARIES}")
		# MESSAGE("mixer libs: ${SDLMIXER_LIBRARY}")
	ENDIF(CMAKE_CROSSCOMPILING OR NOT WIN32)
	
	IF(NOT WIN32)
		# Set include paths and libraries to link.
		INCLUDE_DIRECTORIES( ${SDL_SOUND_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR} )
		LINK_LIBRARIES( # ${SDL_SOUND_LIBRARIES}
			${SDLMIXER_LIBRARY}  )
	ELSE(NOT WIN32)
		SET(SDL_INCLUDE_DIR "SDL_INCLUDE_DIR_NOT_SET" CACHE PATH "Path to SDL header files (sdl_mixer.h should be in the same dir as well)")
		SET(SDLMAIN_LIBRARY "SDLMAIN_LIBRARY_NOT_SET" CACHE FILEPATH "Filepath to SDLmain.lib or libsdlmain.a, depending on whether you're using MSVC or MingW")
		SET(SDL_LIBRARY "SDL_LIBRARY_NOT_SET" CACHE FILEPATH "Filepath to SDL.lib or libsdl.dll.a, depending on whether you're using MSVC or MingW")
		SET(SDLMIXER_LIBRARY "SDLMIXER_LIBRARY_NOT_SET" CACHE FILEPATH "Filepath to SDL_mixer.lib or libSDL_mixer.dll.a, depending on whether you're using MSVC or MingW")
		IF(NOT CMAKE_CROSSCOMPILING)
			INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR})
			LINK_LIBRARIES(${SDLMAIN_LIBRARY} ${SDL_LIBRARY} ${SDLMIXER_LIBRARY})
		ELSE(NOT CMAKE_CROSSCOMPILING)
			INCLUDE_DIRECTORIES( ${sdl_INCLUDE_DIR} )
			LINK_LIBRARIES(SDLmain SDL SDL_mixer)
		ENDIF(NOT CMAKE_CROSSCOMPILING)
    ENDIF(NOT WIN32)

ELSE ( OPTION_SOUND )
    # Disable sound.
    ADD_DEFINITIONS( -DDISABLE_SOUND )
ENDIF ( OPTION_SOUND )


#----------------------------------------------------------------------------------------------------
# Gettext lib dependency check
#----------------------------------------------------------------------------------------------------

if( OPTION_TRANSLATION_SUPPORT )
    set(Gettext_DIR "po" )
    INCLUDE(cmake/FindGettext.cmake)
    if(GETTEXT_FOUND)
	    set(SpringLobby_INCLUDE_PATH ${SpringLobby_INCLUDE_PATH}
		${GETTEXT_INCLUDE_DIR} CACHE INTERNAL "" FORCE)

	    include("cmake/KWWidgetsInternationalizationMacros.cmake")
    else(GETTEXT_FOUND)
	message(FATAL_ERROR "The GNU Gettext package is not found! Please install the package or toggle OPTION_TRANSLATION_SUPPORT to OFF")
    endif(GETTEXT_FOUND)
endif( OPTION_TRANSLATION_SUPPORT )

#----------------------------------------------------------------------------------------------------
# libtorrent-rasterbar dependency check
#----------------------------------------------------------------------------------------------------

IF( OPTION_TORRENT_SYSTEM )
	IF( NOT WIN32)
	    SET ( LIBTORRENT_MIN_VERSION 0.13 )
	    pkg_check_modules( LIBTORRENT libtorrent-rasterbar>=${LIBTORRENT_MIN_VERSION} )
	    IF( LIBTORRENT_FOUND )
		    INCLUDE_DIRECTORIES( ${LIBTORRENT_INCLUDE_DIRS} )
		    LINK_LIBRARIES( ${LIBTORRENT_LIBRARIES} )
	    ELSE()
		    MESSAGE(FATAL_ERROR "libtorrent-rasterbar library is not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
	    ENDIF()
	ELSE( NOT WIN32)
	    INCLUDE_DIRECTORIES(${SpringLobby_SOURCE_DIR}/src/libtorrent/include
				${SpringLobby_SOURCE_DIR}/src/libtorrent/zlib
				${SpringLobby_SOURCE_DIR}/src/libtorrent/ )
	    INCLUDE ( ${SpringLobby_SOURCE_DIR}/cmake/libtorrent.cmake )
	    ADD_DEFINITIONS( -DBOOST_WINDOWS -DTORRENT_DISABLE_ENCRYPTION )
		IF(NOT CMAKE_CROSSCOMPILING)
			SET(Boost_USE_STATIC_LIBS ON)
			SET(Boost_USE_MULTITHREADED ON)
			SET(Boost_ADDITIONAL_VERSIONS 1.35 1.35.0 1.38 1.38.0)
			FIND_PACKAGE(Boost COMPONENTS system thread filesystem date_time)
			INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS} )
		ELSE(NOT CMAKE_CROSSCOMPILING)
			link_directories( ${boost_LIB_DIR} )
			INCLUDE_DIRECTORIES( ${boost_INCLUDE_DIR} )
		ENDIF(NOT CMAKE_CROSSCOMPILING)
	ENDIF( NOT WIN32)
ELSE( OPTION_TORRENT_SYSTEM )
	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
ENDIF( OPTION_TORRENT_SYSTEM )


#----------------------------------------------------------------------------------------------------
# Source listing
#----------------------------------------------------------------------------------------------------

# We define the include paths here, our minimal source dir is one

INCLUDE_DIRECTORIES(${SpringLobby_SOURCE_DIR} ${Settings_SOURCE_DIR} )

SET(SpringLobbySrc
	src/aui/slbook.cpp
	src/utils/math.cpp
	src/utils/misc.cpp
	src/utils/debug.cpp
	src/utils/platform.cpp
	src/utils/conversion.cpp
	src/utils/tasutil.cpp
	src/utils/sltipwin.cpp
	src/utils/controls.cpp
	src/utils/md5.c
	src/updater/updater.cpp
	src/updater/versionchecker.cpp
	src/Helper/TextCompletionDatabase.cpp
	src/Helper/imageviewer.cpp
	src/Helper/slhtmlwindow.cpp
	src/channel/channelchooser.cpp
	src/channel/channelchooserdialog.cpp
	src/Helper/wxtextctrlhist.cpp
	src/Helper/colorbutton.cpp
	src/filelister/filelistctrl.cpp
	src/filelister/filelistdialog.cpp
	src/filelister/filelistfilter.cpp
	src/aui/auimanager.cpp
        src/aui/artprovider.cpp
	src/autobalancedialog.cpp
	src/autohost.cpp
	src/channel/autojoinchanneldialog.cpp
	src/addbotdialog.cpp
	src/agreementdialog.cpp
	src/base64.cpp
	src/battle.cpp
	src/battlelist.cpp
	src/battlelistctrl.cpp
	src/battlelistfilter.cpp
	src/battlelisttab.cpp
	src/battlemaptab.cpp
	src/battleoptionstab.cpp
	src/battleroomlistctrl.cpp
	src/battleroomtab.cpp
	src/crc.cpp
	src/channel/channel.cpp
	src/channel/channellist.cpp
	src/channel/channellistctrl.cpp
	src/chatlog.cpp
	src/chatoptionstab.cpp
	src/chatpanel.cpp
	src/connectwindow.cpp
	src/countrycodes.cpp
	src/crashreport.cpp
	src/customlistctrl.cpp
	src/flagimages.cpp
	src/globalevents.cpp
	src/groupoptionspanel.cpp
	src/hostbattledialog.cpp
	src/ibattle.cpp
	src/iconimagelist.cpp
	src/lobbyoptionstab.cpp
	src/mainchattab.cpp
	src/mainjoinbattletab.cpp
	src/mainoptionstab.cpp
	src/mainsingleplayertab.cpp
	src/maintorrenttab.cpp
	src/mainwindow.cpp
	src/mapctrl.cpp
	src/mapgridctrl.cpp
	src/mapselectdialog.cpp
	src/mmoptionwindows.cpp
	src/mmoptionmodel.cpp
	src/mmoptionswrapper.cpp
	src/nicklistctrl.cpp
	src/offlinebattle.cpp
	src/playback/replaylist.cpp
	src/playback/savegamelist.cpp
	src/sdlsound.cpp
	src/selectusersdialog.cpp
	src/server.cpp
	src/serverevents.cpp
	src/settings.cpp
	src/singleplayerbattle.cpp
	src/singleplayertab.cpp
	src/socket.cpp
	src/spinctld.cpp
	src/spring.cpp
	src/springlobbyapp.cpp
	src/springoptionstab.cpp
	src/springprocess.cpp
	src/springunitsync.cpp
	src/springunitsynclib.cpp
	src/tasserver.cpp
	src/tdfcontainer.cpp
	src/thread.cpp
	src/torrentlistctrl.cpp
	src/torrentoptionspanel.cpp
	src/torrentwrapper.cpp
	src/ui.cpp
	src/uiutils.cpp
	src/unitsyncthread.cpp
	src/user.cpp
	src/useractions.cpp
	src/userlist.cpp
	src/userlistctrl.cpp
	src/widgets/downloadlistctrl.cpp
	src/widgets/downloaddialog.cpp
	src/widgets/downloadpanel.cpp
	src/widgets/infopanel.cpp
	src/widgets/widget.cpp
	src/globalsmanager.cpp
	src/Helper/wxTranslationHelper.cpp
	src/Helper/tasclientimport.cpp
)

SET(SettingsSrc
	src/settings++/custom_dialogs.cpp
	src/settings++/frame.cpp
	src/settings++/helpmenufunctions.cpp
	src/settings++/panel_pathoption.cpp
	src/settings++/se_utils.cpp
	src/settings++/tab_abstract.cpp
	src/settings++/tab_audio.cpp
	src/settings++/tab_debug.cpp
	src/settings++/tab_quality_video.cpp
	src/settings++/tab_render_detail.cpp
	src/settings++/tab_simple.cpp
	src/settings++/tab_ui.cpp
)

SET(StandAloneSettings

## springlobby 0.63

=== CMakeLists.txt ===
PROJECT(springlobby)

#set minimum cmake version
cmake_minimum_required(VERSION 2.6)
SET(CMAKE_COLOR_MAKEFILE ON)

# Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
# MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
IF(NOT MSVC)
	ADD_DEFINITIONS(-Wall -Wno-strict-aliasing -Wextra)
ENDIF(NOT MSVC)
IF(WIN32)
	ADD_DEFINITIONS( -DWXUSINGDLL -D__WXMSW__ -D_WIN32_WINNT=0x0501)
ENDIF(WIN32)
IF(MSVC)
	ADD_DEFINITIONS(-D_RC_MSVC)
ENDIF(MSVC)

#----------------------------------------------------------------------------------------------------
# General Settings
#----------------------------------------------------------------------------------------------------
SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
SET(CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a")

#----------------------------------------------------------------------------------------------------
# Load needed Modules
#----------------------------------------------------------------------------------------------------
EXECUTE_PROCESS(COMMAND ${springlobby_SOURCE_DIR}/tools/get-revision.sh
        OUTPUT_VARIABLE SPRINGLOBBY_GIT_REV
        ERROR_VARIABLE GIT_ERROR
        OUTPUT_STRIP_TRAILING_WHITESPACE
		)

INCLUDE(cmake/package_config.cmake)
INCLUDE(cmake/sources.list)
# PKG-Config
FIND_PACKAGE( PkgConfig )

#if nothing went wrong we have the file and can define HAVE_CONFIG_H
IF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )
    ADD_DEFINITIONS( -DHAVE_CONFIG_H )
    INCLUDE_DIRECTORIES(${springlobby_BINARY_DIR})
ENDIF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )


#----------------------------------------------------------------------------------------------------
# Options, that can be changed be the User in order to customise springlobby
#----------------------------------------------------------------------------------------------------
SET( OPTION_TORRENT_SYSTEM
	1 CACHE BOOL
	"Enables the builtin map/mod p2p downloader (requires libtorrent-rasterbar library)" )
SET( OPTION_SOUND
	1 CACHE BOOL
	"Enables sound notification functionality (requires openAL libraries)" )
SET( OPTION_TRANSLATION_SUPPORT
	1 CACHE BOOL
	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
SET( BUILD_SHARED_LIBS
	1 CACHE BOOL
	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )

SET( ENABLE_DEBUG_REPORT
	0 CACHE BOOL
	"Enable automatic uploading of crash information (requires libcurl)" )

SET( SPRINGLOBBY_REV
	${SPRINGLOBBY_GIT_REV} CACHE STRING
	"The revision string used in packages etc." )
SET( LOCALE_INSTALL_DIR
	${CMAKE_INSTALL_PREFIX}/share/locale CACHE STRING
	"message catalogs will installed here" )

IF( AUX_VERSION )
	ADD_DEFINITIONS( -DAUX_VERSION="${AUX_VERSION}" )
ENDIF( AUX_VERSION )

#----------------------------------------------------------------------------------------------------
# wxWidgets lib dependency check
#----------------------------------------------------------------------------------------------------

# Here you can define, what Libraries of wxWidgets you need for your Application. You can figure out what Libraries you need here:
# http://www.wxwidgets.org/manuals/2.8/wx_librarieslist.html
IF(NOT CMAKE_CROSSCOMPILING)
SET(wxWidgets_USE_LIBS base core net adv aui html xml qa)

# We need the Find package for wxWidgets to work
FIND_PACKAGE(wxWidgets REQUIRED base core net adv aui html xml qa)

# Did we find wxWidgets ? This condition will fail for as long as the internal Vars do not point to the proper wxWidgets Configuration.
IF(wxWidgets_FOUND)
	# Include wxWidgets macros
	INCLUDE(${wxWidgets_USE_FILE})
	IF(MSVC)
		INCLUDE_DIRECTORIES( ${wxWidgets_ROOT_DIR}/include/msvc )
	ENDIF(MSVC)
	IF(MINGW)
		SET(wxWidgets_RC_DIR ${wxWidgets_ROOT_DIR}/include)
	ENDIF(MINGW)
	INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
ELSE(wxWidgets_FOUND)
	# For Convenience. If we cannot continue, inform the User.
	MESSAGE( FATAL_ERROR "wxWidgets library not found! Please install the package to continue")
ENDIF(wxWidgets_FOUND)
ELSE (NOT CMAKE_CROSSCOMPILING)
    INCLUDE_DIRECTORIES( ${wxWidgets_INCLUDE_DIRS} )
    link_directories( ${wxWidgets_LIB_DIR} )
ENDIF(NOT CMAKE_CROSSCOMPILING)

#----------------------------------------------------------------------------------------------------
# openAL libs dependency check
#----------------------------------------------------------------------------------------------------

IF ( OPTION_SOUND )

	FIND_PACKAGE(OpenAL REQUIRED)
	INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

	Add_Subdirectory( ${springlobby_SOURCE_DIR}/src/sound/alure )
	INCLUDE_DIRECTORIES( ${springlobby_SOURCE_DIR}/src/sound/alure/include )
	LINK_LIBRARIES( ${OPENAL_LIBRARY} ${springlobby_BINARY_DIR}/src/sound/alure/libalure.a )
ELSE ( OPTION_SOUND )
    # Disable sound.
    ADD_DEFINITIONS( -DDISABLE_SOUND )
ENDIF ( OPTION_SOUND )


IF( ENABLE_DEBUG_REPORT )
	ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT )
	IF( MINGW )
		ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT -gstabs )
		LINK_LIBRARIES( bfd intl iberty psapi imagehlp)
	ENDIF( MINGW )
ENDIF( ENABLE_DEBUG_REPORT )

pkg_check_modules( CURL REQUIRED libcurl )
IF( NOT CURL_FOUND )
	MESSAGE( FATAL_ERROR "required library libCURL not found" )
ELSE( NOT CURL_FOUND )
	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
	IF(WIN32)
		ADD_DEFINITIONS( ${CURL_CFLAGS}  )
		LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
		LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
	ELSE(WIN32)
		ADD_DEFINITIONS( ${CURL_CFLAGS} )
		LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
		LINK_LIBRARIES( ${CURL_LDFLAGS} )
	ENDIF(WIN32)
ENDIF( NOT CURL_FOUND )
#----------------------------------------------------------------------------------------------------
# libtorrent-rasterbar dependency check
#----------------------------------------------------------------------------------------------------

IF( OPTION_TORRENT_SYSTEM )
	IF( NOT WIN32)
	    SET ( LIBTORRENT_MIN_VERSION 0.13 )
	    pkg_check_modules( LIBTORRENT libtorrent-rasterbar>=${LIBTORRENT_MIN_VERSION} )
	    IF( LIBTORRENT_FOUND )
		    INCLUDE_DIRECTORIES( ${LIBTORRENT_INCLUDE_DIRS} )
		    LINK_LIBRARIES( ${LIBTORRENT_LIBRARIES} )
	    ELSE()
		    MESSAGE( FATAL_ERROR "libtorrent-rasterbar library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
	    ENDIF()
	ELSE( NOT WIN32)
		link_directories( ${boost_LIB_DIR} )
		INCLUDE_DIRECTORIES( ${boost_INCLUDE_DIR} )
		ADD_DEFINITIONS( -mthreads  )
		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
	ENDIF( NOT WIN32)
ELSE( OPTION_TORRENT_SYSTEM )
	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
ENDIF( OPTION_TORRENT_SYSTEM )


# If we build for windows Systems, we also include the Resource-File containing the Manifest, Icon and other Resources.
IF(WIN32)
	IF(MINGW OR CMAKE_CROSSCOMPILING)
		FIND_PROGRAM(WINDRES NAMES i586-pc-mingw32-windres windres i686-mingw32-windres DOC "path to mingw's windres executable")
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/springlobby.rc -o ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o)
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/settings++/settings.rc -o ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o)
		ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o COMMAND ${WINDRES} -I${springlobby_SOURCE_DIR}/src -I${wxWidgets_RC_DIR} -i${springlobby_SOURCE_DIR}/src/updater/updater.rc -o ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o)
		SET(springlobby_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/sl_icon.o )
		SET(SpringSettings_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/ss_icon.o )
		SET(updater_RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/su_icon.o )
	ENDIF(MINGW OR CMAKE_CROSSCOMPILING)

	SET(springlobbySrc ${springlobbySrc} src/Helper/listctrl.cpp)
	SET(springlobbySrc ${springlobbySrc} src/springlobby.rc)
	SET(updaterSrc ${updaterSrc} src/updater/updater.rc)
	SET(StandAloneSettings ${StandAloneSettings} src/settings++/settings.rc)
ELSE(WIN32)
# If we don't build for windows, include some source code checks as pre-build step.
    ADD_CUSTOM_TARGET(test_susynclib ALL COMMAND tools/test-susynclib.awk src/springunitsynclib.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
ENDIF(WIN32)

#----------------------------------------------------------------------------------------------------
# L10n support
#----------------------------------------------------------------------------------------------------
if( OPTION_TRANSLATION_SUPPORT )
	include ( ${CMAKE_SOURCE_DIR}/po/CMakeLists.txt )
endif( OPTION_TRANSLATION_SUPPORT )
ADD_DEFINITIONS( -DLOCALE_INSTALL_DIR="${LOCALE_INSTALL_DIR}" )

#----------------------------------------------------------------------------------------------------
# Build target defintions
#----------------------------------------------------------------------------------------------------

# Here we define the executable springlobby ( or on Windows springlobby.exe )

#auto-remove whitespaces before/after lib paths
cmake_policy(SET CMP0004 OLD)
#ignore warnings about macosx app bundle output dir
cmake_policy(SET CMP0006 OLD)

ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${curlSRC} ${springlobby_RC_FILE})
ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings} ${SpringSettings_RC_FILE} )
#the updater needs to be build for windows only
IF(WIN32)
       ADD_EXECUTABLE(springlobby_updater WIN32 MACOSX_BUNDLE ${updaterSrc} ${SLSharedWithSettings} ${updater_RC_FILE} )
       TARGET_LINK_LIBRARIES(springlobby_updater ${wxWidgets_LIBRARIES} )
ENDIF(WIN32)

# Here the wxWidgets Libraries are added. These are set for us by the FIND Script. If you need other Libraries, you can add them here as well.
TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} )
TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} )

IF(MINGW)
	TARGET_LINK_LIBRARIES( springlobby iphlpapi )
	TARGET_LINK_LIBRARIES( springsettings iphlpapi  )
ENDIF(MINGW)

IF (WIN32)
    install(TARGETS springlobby springlobby_updater springsettings RUNTIME DESTINATION .)
    install(FILES AUTHORS COPYING NEWS README THANKS  DESTINATION .)
	install(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
ELSE (WIN32)
    install(TARGETS springlobby springsettings RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
    install(FILES AUTHORS COPYING NEWS README THANKS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/springlobby )
    install(FILES src/images/springlobby.svg DESTINATION
	    ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
    install(FILES src/springlobby.desktop DESTINATION
	    ${CMAKE_INSTALL_PREFIX}/share/applications)
ENDIF (WIN32)

add_custom_target(pack
					${CMAKE_MAKE_PROGRAM} package
					&& ${springlobby_SOURCE_DIR}/tools/transform_release_zip.sh
						${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}-win32.zip
						${CMAKE_STRIP}
				)

# setup make dist
add_custom_target(dist ${CMAKE_SOURCE_DIR}/tools/make_dist.sh "${springlobby_BINARY_DIR}" "${PACKAGE_NAME}-${PACKAGE_VERSION}"
					 )

# setup make distcheck
add_custom_target(distcheck + cd ${CMAKE_BINARY_DIR} &&
                        rm -rf ${PACKAGE_NAME}-${PACKAGE_VERSION} &&
                        tar -xzf ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz &&
                        cd ${PACKAGE_NAME}-${PACKAGE_VERSION}/ &&
                        cmake "-DCMAKE_CXX_FLAGS:STRING=-O0". && ${CMAKE_MAKE_PROGRAM}
					)
add_dependencies( distcheck dist )
add_dependencies( springlobby alure )

## springlobby 0.88

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,20 +7,23 @@
 # Add Definitions, Compiler-Switches, etc.: -Wall -O2 -g3 ...
 # MSVC compiler (cl.exe) does not accept the same switches as gcc, although preprocessor definitions in the -D form will work for both
 IF(NOT MSVC)
-	ADD_DEFINITIONS(-Wall -Wno-strict-aliasing -Wextra)
+	IF( NOT MINGW )
+		#wxMSW generates > 9000 warnings with -wextra...
+		ADD_DEFINITIONS( -Wextra )
+	ENDIF( NOT MINGW )
+	ADD_DEFINITIONS( -Wall -Wno-strict-aliasing )
+ELSE(NOT MSVC)
+	ADD_DEFINITIONS(-D_RC_MSVC)
 ENDIF(NOT MSVC)
 IF(WIN32)
 	ADD_DEFINITIONS( -DWXUSINGDLL -D__WXMSW__ -D_WIN32_WINNT=0x0501)
 ENDIF(WIN32)
-IF(MSVC)
-	ADD_DEFINITIONS(-D_RC_MSVC)
-ENDIF(MSVC)
 
 #----------------------------------------------------------------------------------------------------
 # General Settings
 #----------------------------------------------------------------------------------------------------
 SET( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
-SET(CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a")
+SET( CMAKE_FIND_LIBRARY_SUFFIXES ".so" ".lib" ".a" )
 
 #----------------------------------------------------------------------------------------------------
 # Load needed Modules
@@ -37,10 +40,10 @@
 FIND_PACKAGE( PkgConfig )
 
 #if nothing went wrong we have the file and can define HAVE_CONFIG_H
-IF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )
+IF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )
     ADD_DEFINITIONS( -DHAVE_CONFIG_H )
     INCLUDE_DIRECTORIES(${springlobby_BINARY_DIR})
-ENDIF ( EXISTS ${springlobby_BINARY_DIR}/config.h OR  EXISTS ${springlobby_SOURCE_DIR}/config.h )
+ENDIF ( EXISTS ${springlobby_BINARY_DIR}/springlobby_config.h  OR  EXISTS ${springlobby_SOURCE_DIR}/springlobby_config.h  )
 
 
 #----------------------------------------------------------------------------------------------------
@@ -60,7 +63,7 @@
 	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )
 
 SET( ENABLE_DEBUG_REPORT
-	0 CACHE BOOL
+	1 CACHE BOOL
 	"Enable automatic uploading of crash information (requires libcurl)" )
 
 SET( SPRINGLOBBY_REV
@@ -127,26 +130,29 @@
 IF( ENABLE_DEBUG_REPORT )
 	ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT )
 	IF( MINGW )
-		ADD_DEFINITIONS( -DENABLE_DEBUG_REPORT -gstabs )
-		LINK_LIBRARIES( bfd intl iberty psapi imagehlp)
+		ADD_DEFINITIONS( -gstabs )
+		LINK_LIBRARIES( bfd iberty intl drmingw )
 	ENDIF( MINGW )
+	LIST( APPEND SLSharedWithSettings ${curlSRC} )
 ENDIF( ENABLE_DEBUG_REPORT )
 
-pkg_check_modules( CURL REQUIRED libcurl )
-IF( NOT CURL_FOUND )
-	MESSAGE( FATAL_ERROR "required library libCURL not found" )
-ELSE( NOT CURL_FOUND )
+
+	
+IF(WIN32)
+	ADD_DEFINITIONS( ${CURL_CFLAGS}  )
+	LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
+	LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
 	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
-	IF(WIN32)
-		ADD_DEFINITIONS( ${CURL_CFLAGS}  )
-		LINK_DIRECTORIES( ${CURL_STATIC_LIBRARY_DIRS} )
-		LINK_LIBRARIES( ${CURL_STATIC_LDFLAGS} )
-	ELSE(WIN32)
-		ADD_DEFINITIONS( ${CURL_CFLAGS} )
-		LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
-		LINK_LIBRARIES( ${CURL_LDFLAGS} )
-	ENDIF(WIN32)
-ENDIF( NOT CURL_FOUND )
+ELSE(WIN32)
+	pkg_check_modules( CURL REQUIRED libcurl )
+	IF( NOT CURL_FOUND )
+		MESSAGE( FATAL_ERROR "required library libCURL not found" )
+	ENDIF( NOT CURL_FOUND )
+	ADD_DEFINITIONS( ${CURL_CFLAGS} )
+	LINK_DIRECTORIES( ${CURL_LIB_DIRS} )
+	LINK_LIBRARIES( ${CURL_LDFLAGS} )
+	INCLUDE_DIRECTORIES( ${CURL_INCLUDE_DIR} )
+ENDIF(WIN32)
 #----------------------------------------------------------------------------------------------------
 # libtorrent-rasterbar dependency check
 #----------------------------------------------------------------------------------------------------
@@ -161,12 +167,22 @@
 	    ELSE()
 		    MESSAGE( FATAL_ERROR "libtorrent-rasterbar library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
 	    ENDIF()
+	    FIND_PACKAGE( Boost COMPONENTS system )
+	    IF( Boost_FOUND )
+		    link_directories( ${Boost_LIB_DIR} )
+		    INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
+		    SET( SL_BOOST_LIBS boost_system-mt )
+	    ELSE()
+		    MESSAGE( FATAL_ERROR "boost library not found! Please install the package or toggle OPTION_TORRENT_SYSTEM to OFF")
+	    ENDIF()
+
 	ELSE( NOT WIN32)
 		link_directories( ${boost_LIB_DIR} )
 		INCLUDE_DIRECTORIES( ${boost_INCLUDE_DIR} )
 		ADD_DEFINITIONS( -mthreads  )
 		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
 	ENDIF( NOT WIN32)
+	LIST( APPEND SLSharedWithSettings ${curlSRC} )
 ELSE( OPTION_TORRENT_SYSTEM )
 	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
 ENDIF( OPTION_TORRENT_SYSTEM )
@@ -212,7 +228,7 @@
 #ignore warnings about macosx app bundle output dir
 cmake_policy(SET CMP0006 OLD)
 
-ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${curlSRC} ${springlobby_RC_FILE})
+ADD_EXECUTABLE(springlobby WIN32 MACOSX_BUNDLE ${header} ${springlobbySrc} ${SettingsSrc} ${SLSharedWithSettings} ${springlobby_RC_FILE})
 ADD_EXECUTABLE(springsettings WIN32 MACOSX_BUNDLE ${StandAloneSettings} ${SettingsSrc} ${SLSharedWithSettings} ${SpringSettings_RC_FILE} )
 #the updater needs to be build for windows only
 IF(WIN32)
@@ -220,9 +236,12 @@
        TARGET_LINK_LIBRARIES(springlobby_updater ${wxWidgets_LIBRARIES} )
 ENDIF(WIN32)
 
+#only enable if debugging is necessary
+#ADD_EXECUTABLE(versiontest WIN32 MACOSX_BUNDLE src/versiontest.cpp )
+
 # Here the wxWidgets Libraries are added. These are set for us by the FIND Script. If you need other Libraries, you can add them here as well.
-TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} )
-TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} )
+TARGET_LINK_LIBRARIES(springlobby ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
+TARGET_LINK_LIBRARIES(springsettings ${wxWidgets_LIBRARIES} ${SL_BOOST_LIBS} )
 
 IF(MINGW)
 	TARGET_LINK_LIBRARIES( springlobby iphlpapi )
@@ -245,20 +264,3 @@
 add_custom_target(pack
 					${CMAKE_MAKE_PROGRAM} package
 					&& ${springlobby_SOURCE_DIR}/tools/transform_release_zip.sh
-						${CMAKE_BINARY_DIR}/${PACKAGE_NAME}-${PACKAGE_VERSION}-win32.zip
-						${CMAKE_STRIP}
-				)
-
-# setup make dist
-add_custom_target(dist ${CMAKE_SOURCE_DIR}/tools/make_dist.sh "${springlobby_BINARY_DIR}" "${PACKAGE_NAME}-${PACKAGE_VERSION}"
-					 )
-
-# setup make distcheck
-add_custom_target(distcheck + cd ${CMAKE_BINARY_DIR} &&
-                        rm -rf ${PACKAGE_NAME}-${PACKAGE_VERSION} &&
-                        tar -xzf ${PACKAGE_NAME}-${PACKAGE_VERSION}.tar.gz &&
-                        cd ${PACKAGE_NAME}-${PACKAGE_VERSION}/ &&
-                        cmake "-DCMAKE_CXX_FLAGS:STRING=-O0". && ${CMAKE_MAKE_PROGRAM}
-					)
-add_dependencies( distcheck dist )
-add_dependencies( springlobby alure )

=== debian/changelog ===
springlobby (0.88-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Tue, 03 Aug 2010 21:27:45 +0200

springlobby (0.85-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 23 Jul 2010 13:57:57 +0200

springlobby (0.83-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump Standards-Version to 3.9.0 (no changes
    necessary)

 -- Jan Dittberner <jandd@debian.org>  Mon, 12 Jul 2010 12:34:06 +0200

springlobby (0.82-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Jun 2010 13:31:18 +0200

springlobby (0.80-2) unstable; urgency=low

  * debian/rules: fail to build on unsupported architectures
  * debian/control:
    - depend on spring >= 0.81.2.1+dfsg1-5
    - restrict architectures to amd64 and i386

 -- Jan Dittberner <jandd@debian.org>  Sat, 29 May 2010 01:57:11 +0200

springlobby (0.80-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 07 May 2010 16:07:47 +0200

springlobby (0.78-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Wed, 21 Apr 2010 21:32:26 +0200

springlobby (0.68-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 10 Apr 2010 10:15:30 +0200

springlobby (0.67-1) unstable; urgency=low

  * New upstream version. (Closes: #565098)
  * add debian/source/format to switch to source format 3.0 (quilt)

 -- Jan Dittberner <jandd@debian.org>  Fri, 09 Apr 2010 19:46:04 +0200

springlobby (0.63-3) unstable; urgency=low

  * debian/control: set spring dependency version to >= 0.81.1.3~dfsg-1 to
    match spring's versioning

 -- Jan Dittberner <jandd@debian.org>  Sun, 21 Feb 2010 11:12:38 +0100

springlobby (0.63-2) unstable; urgency=low

  * debian/control: set Architecture for springlobby and springlobby-dbg
    to i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 because spring
    is only available on x86 architectures

 -- Jan Dittberner <jandd@debian.org>  Sat, 20 Feb 2010 17:56:13 +0100

springlobby (0.63-1) unstable; urgency=low

  [ Marco Amadori ]
  * New Upstream Release (Closes: #569324).
  * Dropped merged-upstream patches.
  * Fixed GPL2 kind in copyright.
  * Removed the springlobby.launcher wrapper since spring (>= 0.81.1.3) does
    not need it anymore;
  * Depends on spring (>= 0.81.1.3).
  * Bumped Standards-Version to 3.8.4.

  [ Jan Dittberner ]
  * remove .gitattributes
  * debian/control:
   - add myself to Uploaders
   - wrap Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Thu, 18 Feb 2010 19:16:11 +0100

springlobby (0.44-2) unstable; urgency=low

  * Added the -dbg debug package.

 -- Marco Amadori <marco.amadori@gmail.com>  Thu, 07 Jan 2010 14:13:45 +0100

springlobby (0.44-1) unstable; urgency=low

  * New upstream release 0.44.
  * Fixed release cmake option.
  * Launcher will pollute less /usr/games.
  * Included a (patched) upstream git patch to fix locales.

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 16 Dec 2009 13:34:03 +0100

springlobby (0.40-1) unstable; urgency=low

  [ Marco Amadori ]
  * New upstream release.
  * Migrated packaging to the new upstream build system (cmake).
  * Revised authors list.

  [ Bruno "Fuddl" Kleinert]
  * Don't hardwire parallel instances of make to 8 in debian/rules. Use
    DEB_BUILD_OPTIONS instead. (Closes: #558759)

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 01 Dec 2009 19:15:06 +0100

springlobby (0.34-1) unstable; urgency=low

  * Initial release (Closes: #550250).
  * This release has p2p disabled due to openssl license conflicts, look at
    README.Debian.

 -- Marco Amadori <marco.amadori@gmail.com>  Tue, 03 Nov 2009 01:00:00 +0100

## springlobby 0.104

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,11 +28,13 @@
 #----------------------------------------------------------------------------------------------------
 # Load needed Modules
 #----------------------------------------------------------------------------------------------------
-EXECUTE_PROCESS(COMMAND ${springlobby_SOURCE_DIR}/tools/get-revision.sh
-        OUTPUT_VARIABLE SPRINGLOBBY_GIT_REV
-        ERROR_VARIABLE GIT_ERROR
-        OUTPUT_STRIP_TRAILING_WHITESPACE
-		)
+if(NOT DEFINED SPRINGLOBBY_REV)
+  EXECUTE_PROCESS(COMMAND ${springlobby_SOURCE_DIR}/tools/get-revision.sh
+    OUTPUT_VARIABLE SPRINGLOBBY_REV
+    ERROR_VARIABLE GIT_ERROR
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+endif(NOT DEFINED SPRINGLOBBY_REV)
 
 INCLUDE(cmake/package_config.cmake)
 INCLUDE(cmake/sources.list)
@@ -67,7 +69,7 @@
 	"Enable automatic uploading of crash information (requires libcurl)" )
 
 SET( SPRINGLOBBY_REV
-	${SPRINGLOBBY_GIT_REV} CACHE STRING
+	"${SPRINGLOBBY_REV}" CACHE STRING
 	"The revision string used in packages etc." )
 SET( LOCALE_INSTALL_DIR
 	${CMAKE_INSTALL_PREFIX}/share/locale CACHE STRING
@@ -263,4 +265,3 @@
 
 add_custom_target(pack
 					${CMAKE_MAKE_PROGRAM} package
-					&& ${springlobby_SOURCE_DIR}/tools/transform_release_zip.sh

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname springlobby)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES  ${CMAKE_SOURCE_DIR}/po/*.po)
		

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
springlobby (0.104-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 30 Sep 2010 19:15:25 +0200

springlobby (0.100-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 02 Sep 2010 20:05:46 +0200

springlobby (0.99-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 27 Aug 2010 17:08:11 +0200

springlobby (0.96-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 17 Aug 2010 11:11:42 +0200

springlobby (0.95-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 Aug 2010 12:54:11 +0200

springlobby (0.93-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 15 Aug 2010 15:36:28 +0200

=== debian/control ===
Source: springlobby
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marco Amadori <marco.amadori@gmail.com>, Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
 libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev
Standards-Version: 3.9.1
Homepage: http://springlobby.info
Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary
Vcs-Git: git://git.debian.org/pkg-games/springlobby.git

Package: springlobby
Provides: spring-lobby
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, spring (>= 0.81.2.1+dfsg1-5)
Description: single/multiplayer lobby for the Spring RTS engine
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.

Package: springlobby-dbg
Section: debug
Architecture: i386 amd64
Priority: extra
Depends: ${misc:Depends}, springlobby (= ${binary:Version})
Description: single/multiplayer lobby for the Spring RTS engine (debugging symbols)
 This package provides a single-player and multiplayer lobby for Spring.
 Other features include a P2P system for downloading maps and mods and
 a built-in IRC-like chat client.
 .
 This package contains the debugging symbols for the springlobby binary.

## springlobby 0.128

=== debian/changelog ===
springlobby (0.128-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sat, 02 Apr 2011 13:01:02 +0200

springlobby (0.127-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 25 Mar 2011 22:20:33 +0100

springlobby (0.124-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Thu, 03 Mar 2011 18:36:30 +0100

springlobby (0.122-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 21 Feb 2011 18:28:07 +0100

springlobby (0.121-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Sun, 20 Feb 2011 18:19:20 +0100

springlobby (0.120-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 12:59:29 +0100

springlobby (0.120-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 18:57:00 +0100

springlobby (0.118-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 21 Dec 2010 12:58:07 +0100

springlobby (0.117-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Fri, 26 Nov 2010 10:20:19 +0100

springlobby (0.116-1) experimental; urgency=low

  * New upstream release.

 -- Jan Dittberner <jandd@debian.org>  Wed, 10 Nov 2010 19:37:43 +0100

springlobby (0.114-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 26 Oct 2010 10:42:51 +0200

springlobby (0.111-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 11 Oct 2010 18:13:33 +0200

springlobby (0.105-1) experimental; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Tue, 05 Oct 2010 23:04:18 +0200

## springlobby 0.130

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,9 @@
 SET( OPTION_TRANSLATION_SUPPORT
 	1 CACHE BOOL
 	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
+SET( OPTION_NOTIFY
+	1 CACHE BOOL
+	"Enables libnotify support for popup status messages (requires libnotify)" )
 SET( BUILD_SHARED_LIBS
 	1 CACHE BOOL
 	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )
@@ -185,9 +188,23 @@
 		LINK_LIBRARIES( -mthreads torrent-rasterbar ${Boost_LIBRARIES} z ws2_32 mswsock  )
 	ENDIF( NOT WIN32)
 	LIST( APPEND SLSharedWithSettings ${curlSRC} )
+	ADD_DEFINITIONS( -DTORRENT_DISABLE_GEO_IP )
 ELSE( OPTION_TORRENT_SYSTEM )
 	ADD_DEFINITIONS( -DNO_TORRENT_SYSTEM )
 ENDIF( OPTION_TORRENT_SYSTEM )
+
+#----------------------------------------------------------------------------------------------------
+# libnotify dependency check
+#----------------------------------------------------------------------------------------------------
+
+IF( OPTION_NOTIFY AND NOT WIN32 )
+	pkg_check_modules( LIBNOTIFY libnotify )
+	IF( LIBNOTIFY_FOUND )
+		INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
+		LINK_LIBRARIES( ${LIBNOTIFY_LIBRARIES} )
+		ADD_DEFINITIONS( -DHAVE_LIBNOTIFY )
+	ENDIF( LIBNOTIFY_FOUND )
+ENDIF( OPTION_NOTIFY AND NOT WIN32 )
 
 
 # If we build for windows Systems, we also include the Resource-File containing the Manifest, Icon and other Resources.
@@ -252,16 +269,3 @@
 
 IF (WIN32)
     install(TARGETS springlobby springlobby_updater springsettings RUNTIME DESTINATION .)
-    install(FILES AUTHORS COPYING NEWS README THANKS  DESTINATION .)
-	install(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
-ELSE (WIN32)
-    install(TARGETS springlobby springsettings RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
-    install(FILES AUTHORS COPYING NEWS README THANKS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/springlobby )
-    install(FILES src/images/springlobby.svg DESTINATION
-	    ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
-    install(FILES src/springlobby.desktop DESTINATION
-	    ${CMAKE_INSTALL_PREFIX}/share/applications)
-ENDIF (WIN32)
-
-add_custom_target(pack
-					${CMAKE_MAKE_PROGRAM} package

=== debian/changelog ===
springlobby (0.130-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Bump Standards-Version to 3.9.2

 -- Jan Dittberner <jandd@debian.org>  Sun, 01 May 2011 00:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marco Amadori <marco.amadori@gmail.com>, Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libwxgtk2.8-dev,
  libopenal-dev, asciidoc, xsltproc, docbook-xsl, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://springlobby.info
 Vcs-Browser: http://git.debian.org/?p=pkg-games/springlobby.git;a=summary
 Vcs-Git: git://git.debian.org/pkg-games/springlobby.git
